# MioIO MC command line

This convenient `docker-compose.yml` will set a your MinIO connection as per `.env` and make it available under the name `myminio` in the container.

1. Setup your tenant / credentials
```
cp .env.template .env
vi .env
```

2. Run the container as one-shot
```
docker-compose run minio-mc
```

3. Typical commands, for a full list see: https://docs.min.io/docs/minio-client-complete-guide.html
```
# buckets
mc mb myminio/documents   # create
mc ls myminio             # list

# dealing with users
mc admin user add myminio johndoe 30RandomAlphaNumericCharacters
mc admin policy set myminio readwrite user=johndoe
mc admin user list myminio
mc admin user info myminio johndoe
mc admin user remove myminio dominik_zino2

# policies
mc admin policy list myminio 
mc admin policy info readonly
mc admin policy info writeonly
mc admin policy info readwrite
```
